%define srcname coverage

Name:           python-%{srcname}
Version:        5.3
Release:        %mkrel 1
Summary:        Code coverage measurement for Python
Group:          Development/Python
License:        ASL 2.0
URL:            http://nedbatchelder.com/code/coverage
Source0:        https://pypi.io/packages/source/c/coverage/%{srcname}-%{version}.tar.gz

%description
Coverage.py measures code coverage, typically during test execution. It
uses the code analysis tools and tracing hooks provided in the Python
standard library to determine which lines are executable, and which have
been executed.

%package -n python3-%{srcname}
Summary:        Code coverage measurement for Python 3
Group:          Development/Python
%{?python_provide:%python_provide python3-%{srcname}}
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
Requires:       python3-pkg-resources
Obsoletes:      python2-coverage < 4.5.4

%description -n python3-%{srcname}
Coverage.py measures code coverage, typically during test execution. It
uses the code analysis tools and tracing hooks provided in the Python 3
standard library to determine which lines are executable, and which have
been executed.

%prep
%setup -q -n %{srcname}-%{version}

find . -type f -exec chmod 0644 \{\} \;
sed -i 's/\r//g' README.rst

%build
%py3_build

%install
%py3_install

%files -n python3-%{srcname}
%doc README.rst
%{_bindir}/coverage*
%{python3_sitearch}/coverage/
%{python3_sitearch}/coverage*.egg-info/


%changelog
* Mon Sep 14 2020 guillomovitch <guillomovitch> 5.3-1.mga8
+ Revision: 1626392
- new version 5.3

* Wed Jul 15 2020 daviddavid <daviddavid> 5.2-1.mga8
+ Revision: 1606206
- new version: 5.2

* Sun Mar 29 2020 wally <wally> 5.0.4-1.mga8
+ Revision: 1562203
- new version 5.0.4

* Sun Feb 16 2020 umeabot <umeabot> 4.5.4-4.mga8
+ Revision: 1535262
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 4.5.4-3.mga8
+ Revision: 1451706
- rebuild with python 3.8

* Wed Sep 04 2019 wally <wally> 4.5.4-2.mga8
+ Revision: 1437144
- rebuild with new python-rpm-macros

* Tue Sep 03 2019 wally <wally> 4.5.4-1.mga8
+ Revision: 1436781
- new version 4.5.4
- drop python2 support
- rebuild for python3.8

* Wed Mar 13 2019 wally <wally> 4.5.2-3.mga7
+ Revision: 1375836
- require pkg-resources

* Sat Jan 05 2019 wally <wally> 4.5.2-2.mga7
+ Revision: 1349262
- rebuild for python3.7

* Sun Dec 23 2018 kekepower <kekepower> 4.5.2-1.mga7
+ Revision: 1344631
- Update License
- Update BR's to use python()dist
- Update to version 4.5.2

* Sun Sep 23 2018 umeabot <umeabot> 4.5.1-2.mga7
+ Revision: 1300462
- Mageia 7 Mass Rebuild

* Tue Mar 20 2018 kekepower <kekepower> 4.5.1-1.mga7
+ Revision: 1210789
- Update to version 4.5.1

* Sat Jan 06 2018 daviddavid <daviddavid> 4.4.2-1.mga7
+ Revision: 1190668
- new version: 4.4.2
- rename python-coverage to python2-coverage

* Thu Aug 03 2017 tv <tv> 4.4.1-3.mga7
+ Revision: 1134413
- rebuild for new python
+ philippem <philippem>
- rebuild for Python 3.6

* Tue Aug 01 2017 daviddavid <daviddavid> 4.4.1-1.mga7
+ Revision: 1133428
- new version: 4.4.1

* Tue May 24 2016 daviddavid <daviddavid> 4.1-1.mga6
+ Revision: 1018127
- new version: 4.1 (final)
- use new pypi Source URL

* Fri Jan 29 2016 daviddavid <daviddavid> 4.1-0.b2.1.mga6
+ Revision: 928649
- new version: 4.1b2

* Tue Jan 19 2016 daviddavid <daviddavid> 4.1-0.b1.1.mga6
+ Revision: 925779
- new version: 4.1b1

* Wed Oct 07 2015 daviddavid <daviddavid> 3.7.1-2.mga6
+ Revision: 886862
- rebuild for python 3.5
- use new python macros

* Tue Sep 08 2015 fwang <fwang> 3.7.1-1.mga6
+ Revision: 874003
- 3.7.1

* Wed Oct 15 2014 umeabot <umeabot> 3.7-7.mga5
+ Revision: 748231
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.7-6.mga5
+ Revision: 728198
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.7-5.mga5
+ Revision: 687948
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 3.7-4.mga5
+ Revision: 628532
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 3.7-3.mga4
+ Revision: 543083
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 3.7-2.mga4
+ Revision: 498312
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Oct 06 2013 philippem <philippem> 3.7-1.mga4
+ Revision: 492274
- Update to 3.7

* Mon Jul 01 2013 philippem <philippem> 3.6-2.mga4
+ Revision: 449462
- add Python3

* Sat Jun 08 2013 fwang <fwang> 3.6-1.mga4
+ Revision: 440405
- new version 3.6

* Sun Jan 13 2013 umeabot <umeabot> 3.5.1-2.mga3
+ Revision: 378620
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 12 2012 fwang <fwang> 3.5.1-1.mga2
+ Revision: 208187
- new version 3.5.1

* Sun Jul 17 2011 fwang <fwang> 3.5-1.mga2
+ Revision: 125401
- imported package python-coverage

